"use strict";

const required = require("@validatem/required");

const isEvent = require("../is-event");
const isMatrixID = require("../is-matrix-id");

module.exports = function isDeviceEvent(strict = false, extraFields = {}) {
	return isEvent(strict, {
		sender: [ required, isMatrixID ],
		... extraFields
	});
};
